Bug 1299438 - system stuck at nfs share while it is shutting down with active NFS IO generator
system stuck at nfs share while it is shutting down with active NFS IO generator
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: initscripts (Show other bugs)
7.1
Unspecified Linux
medium Severity medium
: rc
: ---
Assigned To: David Kaspar [Dee'Kej]
qe-baseos-daemons
:
Depends On:
Blocks: 1203710 1289485 1298243 1313485 1393867 1400961
  Show dependency treegraph
 
Reported: 2016-01-18 06:29 EST by Ramandeep Arora
Modified: 2017-01-16 19:25 EST (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-16 19:25:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 10 Lukáš Nykrýn 2016-02-03 09:29:33 EST
Can you reproduce this bug with network.service disabled and NetworkManager enabled?
Comment 15 Michal Sekletar 2016-02-11 11:04:04 EST
There is nothing to fix in systemd wrt. this bug. This needs to be workarounded in initscripts. On shutdown/reboot network service needs to detect that there is some nfs mount present on the system and in such case it must not ifdown network interfaces.

Issue doesn't occur when NetworkManager is used because *by default* it leaves interfaces configured even daemon itself exits.
Comment 19 Lukáš Nykrýn 2016-09-12 07:25:48 EDT
There was quite a lot of changes regarding network and ordering. Could you please check it with rhel-7.3 beta?

Note You need to log in before you can comment on or make changes to this bug.